
Foreman - Bug #2544

when changing location, host form does not get updated

05/22/2013 09:13 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. select a location

2. select a CR

3. change to another location that does not contain the selected CR:

Operation FAILED: undefined method `new_vm' for nil:NilClass

Related issues:

Related to Foreman - Bug #2549: new host organization and location should def... Closed 05/23/2013

Associated revisions

Revision 66afbc33 - 05/30/2013 11:32 AM - Joseph Magen

fixes #2549, fixes #2544 - new host organization and location should default to current context if it exists

Revision bfd9df93 - 05/30/2013 12:51 PM - Joseph Magen

fixes #2549, fixes #2544 - new host organization and location should default to current context if it exists

(cherry picked from commit 66afbc33721b39f768d4fba7f6d134bfe8188467)

History

#1 - 05/23/2013 07:25 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#2 - 05/28/2013 04:17 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/641

#3 - 05/30/2013 12:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 66afbc33721b39f768d4fba7f6d134bfe8188467.
